System.ServiceModel 4.0.0.0 System.ServiceModel.ReliableSession

The ability to enable a reliable session is provided with three of the system-provided bindings. A reliable session is:

Optional (and off by default) with and and

Required (and hence always on) with .

Provides convenient access to whether a reliable session is enabled when using one of the predefined bindings where it is optional.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class from a reliable session binding element.

- Property
  4.0.0.0
  System.Boolean To be added.

  The ability to enable a reliable session is provided with three of the system-provided bindings. A reliable session is:

  Optional (and off by default) with and .

  Required (and hence always on) with .

  Gets or sets a value that indicates whether the reliable session is enabled.